package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.domain.PtApp;

import java.util.Map;

/**
 * @author LinQiLong
 * @date 4/1/2022 4:47 PM
 */
public interface InterfaceTokenService {

    /**
     * 创建令牌
     *
     * @param ptApp 用户信息
     * @return 令牌
     */
    String createToken(PtApp ptApp);

    Map<String, Object> token(String grantType, String appId, String secret);

    /**
     * 获取 appId
     *
     * @param token token
     * @return
     */
    String getAppIdFromToken(String token);
}
